﻿------------------------------
--      Are you local?      --
------------------------------

local boss = AceLibrary("Babble-Boss-2.2")["Mekgineer Steamrigger"]
local L = AceLibrary("AceLocale-2.2"):new("BigWigs"..boss)

----------------------------
--      Localization      --
----------------------------

L:RegisterTranslations("enUS", function() return {
	cmd = "Steamrigger",

	mech = "Steamrigger Mechanics",
	mech_desc = "Warn for incoming mechanics",
	mech_trigger = "Tune 'em up good, boys!",
	mech_message = "Steamrigger Mechanics Incoming!",
} end )

L:RegisterTranslations("koKR", function() return {
	cmd = "스팀리거",

	mech = "스팀리거 정비사",
	mech_desc = "스팀리거 정비사 소환 경고",
	mech_trigger = "얘들아, 쟤네들을 부드럽게 만져줘라!",
	mech_message = "스팀리거 정비사 소환!",
} end )

----------------------------------
--      Module Declaration      --
----------------------------------

local mod = BigWigs:NewModule(boss)
mod.partyContent = true
mod.otherMenu = "Coilfang Reservoir"
mod.zonename = AceLibrary("Babble-Zone-2.2")["The Steamvault"]
mod.enabletrigger = boss 
mod.toggleoptions = {"mech", "bosskill"}
mod.revision = tonumber(("$Revision: 34416 $"):sub(12, -3))

------------------------------
--      Initialization      --
------------------------------

function mod:OnEnable()
	self:RegisterEvent("CHAT_MSG_MONSTER_YELL")
	self:RegisterEvent("CHAT_MSG_COMBAT_HOSTILE_DEATH", "GenericBossDeath")
end

------------------------------
--      Event Handlers      --
------------------------------

function mod:CHAT_MSG_MONSTER_YELL(msg)
	if self.db.profile.mech and msg == L["mech_trigger"] then
		self:Message(L["mech_message"], "Attention")
	end
end
